import Foundation
from PyObjCTools import AppHelper

class LockNotifier:
    def __init__(self, hfunc):
        self.hfunc = hfunc

    def onLock_(self, _notification):
        self.hfunc("lock")
        AppHelper.stopEventLoop()

    def onUnlock_(self, _notification):
        self.hfunc("unlock")
        AppHelper.stopEventLoop()

def notify_lock(handler):
    notifier = LockNotifier(handler)
    dnc = Foundation.NSDistributedNotificationCenter.defaultCenter()
    dnc.addObserver_selector_name_object_(notifier, "onLock:", "com.apple.screenIsLocked", None)
    dnc.addObserver_selector_name_object_(notifier, "onUnlock:", "com.apple.screenIsUnlocked", None)
    AppHelper.runConsoleEventLoop()

if __name__ == "__main__":
    def handler(state):
        if state == "lock":
            print("lock")
        elif state == "unlock":
            print("unlock")
        AppHelper.stopEventLoop()
    
    notify_lock(handler)